<?php
namespace Claromentis\Search\History;

$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] ?: array()) + array();
use Claromentis\Search\Parameters;




class HistoryFacade
{
    
    
    
    
    protected $storage;
    public static function CreateDefault()
    {
        return new HistoryFacade(new Storage());
    }
    public function __construct(Storage $storage)
    {
        $this->storage = $storage;
    }
    public function Add(Parameters $parameters)
    {
        $this->storage->Add($parameters);
    }
    public function GetSimilar(Parameters $sp)
    {
        $data = $this->storage->GetSimilar($sp);
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        return $data;
    }
}